//+------------------------------------------------------------------+
//|                                             Vinin HighLow v1.mq4 |
//|                                        Victor Nicolaev aka Vinin |
//|                                                    vinin@mail.ru |
//+------------------------------------------------------------------+
#property copyright "Victor Nicolaev aka Vinin"
#property link      "mailto: vinin@mail.ru"


#property indicator_chart_window
#property indicator_buffers 1
#property indicator_color1 Yellow



extern int m=4;


//---- buffers
double Buffer1[];


//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init() {
//---- drawing settings
   SetIndexStyle(0,DRAW_LINE);
   SetIndexDrawBegin(0,0);
   SetIndexBuffer(0,Buffer1);

   return(0); }//int init() 
//+------------------------------------------------------------------+
int start() {
   int limit;
   double tmp1,tmp2;
   int tmpBar, tmpTime;
   int counted_bars=IndicatorCounted();
   int i, j,k;
   if(counted_bars<0) return(-1);
   if(counted_bars>0) counted_bars--;
   limit=Bars-counted_bars;
   double Q1[],Q2[];
   ArrayResize(Q1,m);
   ArrayResize(Q2,m);
   double alfa=2.0/(m/2.0+1.0);
   double tmp;
   for (i = limit;i>=0;i--){
      Q1[0]=Close[i+0];
      for (j=1;j<m;j++) {Q1[j]=Q1[j-1]+alfa*(Close[i+j]-Q1[j-1]);}
      Q2[0]=Q1[m-1];
      for (j=1;j<m;j++) {Q2[j]=Q2[j-1]+alfa*(Q1[m-j]-Q2[j-1]);}
      Buffer1[i]=Q2[m-1];
      
   }
   return(0); 
}



